@echo off
echo off
echo Running on %PROCESSOR_ARCHITECTURE% processor

if defined JAVA_HOME (
goto :checkVersion
) else (
  echo Searching for JAVA_HOME path...
  goto :checkHome
)

:checkHome
if exist "%ProgramFiles%\Java\" (
goto :findReg
) else (
goto :check64bit
)
:end

:check64bit
if exist "%ProgramFiles(x86)%\Java\" (
echo Please install 64 bit Java...
) else (
echo Please install Java...
)
pause
goto :EOF
:end

:checkVersion
java -version 2> tmp_java_version.txt
set /p JAVA_VERSION= < tmp_java_version.txt
del tmp_java_version.txt
set JAVA_VERSION=%JAVA_VERSION:~14,3%
set REQ=1.6

if %REQ% GTR %JAVA_VERSION% (
  echo Please install Java %REQ% or later...
  pause
) else (
  echo Java %REQ% or later is installed.
  java -Xmx512m -jar bin/ScientificWritingAssistant.jar start
)
goto :EOF
:end

:findReg
set KeyName=HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment
set Cmd=reg query "%KeyName%" /s
for /f "tokens=2*" %%i in ('%Cmd% ^| find "JavaHome"') do set JAVA_HOME=%%j
echo JAVA_HOME is set to %JAVA_HOME%
goto :checkVersion
:end

:EOF